﻿--[[
Name: Rating Buster koKR locale
Revision: $Revision: 30323 $
Translated by: 
- kcgcom
]]

local L = AceLibrary("AceLocale-2.2"):new("RatingBuster")
----
-- This file is coded in UTF-8
-- If you don't have a editor that can save in UTF-8, I recommend Ultraedit
----
-- To translate AceLocale strings, replace true with the translation string
-- Before: ["Show Item ID"] = true,
-- After:  ["Show Item ID"] = "顯示物品編號",
L:RegisterTranslations("koKR", function() return {
	---------------------------
	-- Slash Command Options --
	---------------------------
	-- /rb itemid
	["Show ItemID"] = "아이템 ID 표시",
	["Show the ItemID in tooltips"] = "툴팁에 아이템 ID를 표시합니다.",
	-- /rb itemlevel
	["Show ItemLevel"] = "아이템 레벨 표시",
	["Show the ItemLevel in tooltips"] = "툴팁에 아이템 레벨을 표시합니다.",
	-- /rb usereqlv
	["Use required level"] = "최소 요구 레벨 사용",
	["Calculate using the required level if you are below the required level"] = "레벨이 낮아 사용하지 못하는 경우 최소 요구 레벨에 따라 계산합니다.",
	-- /rb setlevel
	["Set level"] = "레벨 설정",
	["Set the level used in calculations (0 = your level)"] = "계산에 적용할 레벨을 설정합니다. (0 = 자신 레벨)",
	-- /rb color
	["Change text color"] = "글자 색상 변경",
	["Changes the color of added text"] = "추가된 글자의 색상을 변경합니다.",
	-- /rb color pick
	["Pick color"] = "색상 선택",
	["Pick a color"] = "색상을 선택합니다.",
	-- /rb color enable
	["Enable color"] = "색상 사용",
	["Enable colored text"] = "글자에 색상을 사용합니다.",
	-- /rb stat
	["Stat"] = "능력치",
	["Changes the display of base stats"] = "기본 능력치 표시방법을 변경합니다.",
	-- /rb stat agi
	["Agility"] = "민첩성",
	["Changes the display of agility"] = "민첩성 표시방법을 변경합니다.",
	-- /rb stat agi crit
	["Show crit"] = "치명타 표시",
	["Show crit from agility"] = "민첩성에 의한 치명타 표시",
	-- /rb stat int
	["Intellect"] = "지능",
	["Changes the display of intellect"] = "지능 표시방법을 변경합니다.",
	-- /rb stat int spellcrit
	["Show spell crit"] = "주문 극대화 표시",
	["Show spell crit from intellect"] = "지능에 의한 주문 극대화 표시",
	-----------------------
	-- Item Level and ID --
	-----------------------
	["ItemLevel: "] = "아이템레벨: ",
	["ItemID: "] = "아이템ID: ",
	-----------------------
	-- Matching Patterns --
	-----------------------
	-- Items to check --
	--------------------
	-- [Potent Ornate Topaz]
	-- +6 Spell Damage, +5 Spell Crit Rating
	--------------------
	-- ZG enchant
	-- +10 Defense Rating/+10 Stamina/+15 Block Value
	--------------------
	-- [Glinting Flam Spessarite]
	-- +3 Hit Rating and +3 Agility
	--------------------
	-- ItemID: 22589
	-- [Atiesh, Greatstaff of the Guardian] warlock version
	-- Equip: Increases the spell critical strike rating of all party members within 30 yards by 28.
	--------------------
	-- [Brilliant Wizard Oil]
	-- Use: While applied to target weapon it increases spell damage by up to 36 and increases spell critical strike rating by 14 . Lasts for 30 minutes. 
	----------------------------------------------------------------------------------------------------
	-- I redesigned the tooltip scanner using a more locale friendly, 2 pass matching matching algorithm.
	--
	-- The first pass searches for the rating number, the patterns are read from ["numberPatterns"] here,
	-- " by (%d+)" will match strings like: "Increases defense rating by 16."
	-- "%+(%d+)" will match strings like: "+10 Defense Rating"
	-- You can add additional patterns if needed, its not limited to 2 patterns.
	-- The separators are a table of strings used to break up a line into multiple lines what will be parsed seperately.
	-- For example "+3 Hit Rating, +5 Spell Crit Rating" will be split into "+3 Hit Rating" and " +5 Spell Crit Rating"
	--
	-- The second pass searches for the rating name, the names are read from ["statList"] here,
	-- It will look through the table in order, so you can put common strings at the begining to speed up the search,
	-- and longer strings should be listed first, like "spell critical strike" should be listed before "critical strike", 
	-- this way "spell critical strike" does get matched by "critical strike".
	-- Strings need to be in lower case letters, because string.lower is called on lookup
	--
	-- IMPORTANT: there may not exist a one-to-one correspondence, meaning you can't just translate this file, 
	-- but will need to go in game and find out what needs to be put in here.
	-- For example, in english I found 3 different strings that maps to CR_CRIT_MELEE: "critical strike", "critical hit" and "crit".
	-- You will need to find out every string that represents CR_CRIT_MELEE, and so on.
	-- In other languages there may be 5 different strings that should all map to CR_CRIT_MELEE.
	-- so please check in game that you have all strings, and not translate directly off this table.
	--
	-- Tip1: When doing localizations, I recommend you set debugging to true in RatingBuster.lua
	-- Find RatingBuster:SetDebugging(false) and change it to RatingBuster:SetDebugging(true)
	-- or you can type /rb debug to enable it in game
	--
	-- Tip2: The strings are passed into string.find, so you should escape the magic characters ^$()%.[]*+-? with a %
	["numberPatterns"] = {
		{pattern = "(%d+)만큼 증가합니다.", addInfo = "AfterNumber",},
		{pattern = "%+(%d+)", addInfo = "AfterNumber",},
--		{pattern = "grant.-(%d+)", addInfo = "AfterNumber",}, -- for "grant you xx stat" type pattern, ex: Quel'Serrar, Assassination Armor set
	},
	["separators"] = {
		"/", " and ", ",", "%. ", " for ", "&"
	},
	--[[ Rating ID
	CR_WEAPON_SKILL = 1;
	CR_DEFENSE_SKILL = 2;
	CR_DODGE = 3;
	CR_PARRY = 4;
	CR_BLOCK = 5;
	CR_HIT_MELEE = 6;
	CR_HIT_RANGED = 7;
	CR_HIT_SPELL = 8;
	CR_CRIT_MELEE = 9;
	CR_CRIT_RANGED = 10;
	CR_CRIT_SPELL = 11;
	CR_HIT_TAKEN_MELEE = 12;
	CR_HIT_TAKEN_RANGED = 13;
	CR_HIT_TAKEN_SPELL = 14;
	CR_CRIT_TAKEN_MELEE = 15;
	CR_CRIT_TAKEN_RANGED = 16;
	CR_CRIT_TAKEN_SPELL = 17;
	CR_HASTE_MELEE = 18;
	CR_HASTE_RANGED = 19;
	CR_HASTE_SPELL = 20;
	CR_WEAPON_SKILL_MAINHAND = 21;
	CR_WEAPON_SKILL_OFFHAND = 22;
	CR_WEAPON_SKILL_RANGED = 23;
	--
	SPELL_STAT1_NAME = "힘"
	SPELL_STAT2_NAME = "민첩성"
	SPELL_STAT3_NAME = "체력"
	SPELL_STAT4_NAME = "지능"
	SPELL_STAT5_NAME = "정신력"
	--]]
	["statList"] = {
		{pattern = string.lower(SPELL_STAT2_NAME), id = SPELL_STAT2_NAME}, -- Agility
		{pattern = string.lower(SPELL_STAT4_NAME), id = SPELL_STAT4_NAME}, -- Intellect
		{pattern = "방어 숙련도", id = CR_DEFENSE_SKILL},
		{pattern = "회피 숙련도", id = CR_DODGE},
		{pattern = "방패 막기 숙련도", id = CR_BLOCK}, -- block enchant: "+10 Shield Block Rating"
		{pattern = "무기 막기 숙련도", id = CR_PARRY},
	
		{pattern = "주문 극대화 적중도", id = CR_CRIT_SPELL},
		{pattern = "주문의 극대화 적중도", id = CR_CRIT_SPELL},
--		{pattern = "spell critical rating", id = CR_CRIT_SPELL},
--		{pattern = "spell crit rating", id = CR_CRIT_SPELL},
		{pattern = "원거리 치명타 적중도", id = CR_CRIT_RANGED},
--		{pattern = "ranged critical hit rating", id = CR_CRIT_RANGED},
--		{pattern = "ranged critical rating", id = CR_CRIT_RANGED},
--		{pattern = "ranged crit rating", id = CR_CRIT_RANGED},
		{pattern = "치명타 적중도", id = CR_CRIT_MELEE},
		{pattern = "근접 치명타 적중도", id = CR_CRIT_MELEE},
--		{pattern = "crit rating", id = CR_CRIT_MELEE},
		
		{pattern = "주문의 적중도", id = CR_HIT_SPELL},
		{pattern = "주문 적중도", id = CR_HIT_SPELL},
		{pattern = "원거리 적중도", id = CR_HIT_RANGED},
		{pattern = "적중도", id = CR_HIT_MELEE},
		
		{pattern = "탄력도", id = CR_CRIT_TAKEN_MELEE}, -- resilience is implicitly a rating
		
		{pattern = "주문 가속도", id = CR_HASTE_SPELL},
		{pattern = "원거리 공격 가속도", id = CR_HASTE_RANGED},
		{pattern = "공격 가속도", id = CR_HASTE_MELEE},
		{pattern = "가속도", id = CR_HASTE_MELEE}, -- [Drums of Battle]
		
		{pattern = "무기 숙련도", id = CR_WEAPON_SKILL},
		
		{pattern = "hit avoidance rating", id = CR_HIT_TAKEN_MELEE},
		--[[
		{pattern = "dagger skill rating", id = CR_WEAPON_SKILL},
		{pattern = "sword skill rating", id = CR_WEAPON_SKILL},
		{pattern = "two%-handed swords skill rating", id = CR_WEAPON_SKILL},
		{pattern = "axe skill rating", id = CR_WEAPON_SKILL},
		{pattern = "bow skill rating", id = CR_WEAPON_SKILL},
		{pattern = "crossbow skill rating", id = CR_WEAPON_SKILL},
		{pattern = "gun skill rating", id = CR_WEAPON_SKILL},
		{pattern = "feral combat skill rating", id = CR_WEAPON_SKILL},
		{pattern = "mace skill rating", id = CR_WEAPON_SKILL},
		{pattern = "polearm skill rating", id = CR_WEAPON_SKILL},
		{pattern = "staff skill rating", id = CR_WEAPON_SKILL},
		{pattern = "two%-handed axes skill rating", id = CR_WEAPON_SKILL},
		{pattern = "two%-handed maces skill rating", id = CR_WEAPON_SKILL},
		{pattern = "fist weapons skill rating", id = CR_WEAPON_SKILL},
		--]]
	},
	-------------------------
	-- Added info patterns --
	-------------------------
	-- $value will be replaced with the number
	-- EX: "$value% Crit" -> "+1.34% Crit"
	-- EX: "Crit $value%" -> "Crit +1.34%"
	["$value% Crit"] = "치명타 $value%",
	["$value% Spell Crit"] = "극대화 $value%",
} end)