﻿--[[
Name: Rating Buster zhTW locale
Revision: $Revision: 1 $
Translated by: 
- CuteMiyu@bahamut.twbbs.org
]]

local L = AceLibrary("AceLocale-2.2"):new("RatingBuster")
----
-- This file is coded in UTF-8
-- If you don't have a editor that can save in UTF-8, I recommend Ultraedit
----
-- To translate AceLocale strings, replace true with the translation string
-- Before: ["Show Item ID"] = true,
-- After:  ["Show Item ID"] = "顯示物品編號",
L:RegisterTranslations("zhTW", function() return {
	---------------------------
	-- Slash Command Options --
	---------------------------
	-- /rb itemid
	["Show ItemID"] = "顯示物品編號",
	["Show the ItemID in tooltips"] = "顯示物品編號",
	-- /rb itemlevel
	["Show ItemLevel"] = "顯示物品等級",
	["Show the ItemLevel in tooltips"] = "顯示物品等級",
	-- /rb usereqlv
	["Use required level"] = "使用需要等級",
	["Calculate using the required level if you are below the required level"] = "如果你的等級低於需要等級則用需要等級來換算",
	-- /rb setlevel
	["Set level"] = "設定換算等級",
	["Set the level used in calculations (0 = your level)"] = "設定換算等級 (0 = 你的目前的等級)",
	-- /rb color
	["Change text color"] = "設定文字顏色",
	["Changes the color of added text"] = "設定RB所增加的文字的顏色",
	-- /rb color pick
	["Pick color"] = "挑個顏色",
	["Pick a color"] = "挑個顏色",
	-- /rb color enable
	["Enable color"] = "啟用文字顏色",
	["Enable colored text"] = "啟用文字顏色",
	-- /rb stat
	["Stat"] = "屬性顯示設定",
	["Changes the display of base stats"] = "設定要顯示哪些數性的換算值",
	-- /rb stat agi
	["Agility"] = "敏捷",
	["Changes the display of agility"] = "改變敏捷的換算顯示",
	-- /rb stat agi crit
	["Show crit"] = "顯示致命",
	["Show crit from agility"] = "顯示敏捷給的致命一擊機率",
	-- /rb stat int
	["Intellect"] = "智力",
	["Changes the display of intellect"] = "改變智力的換算顯示",
	-- /rb stat int spellcrit
	["Show spell crit"] = "顯示法術致命一擊",
	["Show spell crit from intellect"] = "顯示智力給的法術致命一擊機率",
	-----------------------
	-- Item Level and ID --
	-----------------------
	["ItemLevel: "] = "物品等級: ",
	["ItemID: "] = "物品編號: ",
	-----------------------
	-- Matching Patterns --
	-----------------------
	-- Items to check --
	--------------------
	-- [Potent Ornate Topaz]
	-- +6 Spell Damage, +5 Spell Crit Rating
	--------------------
	-- ZG enchant
	-- +10 Defense Rating/+10 Stamina/+15 Block Value
	--------------------
	-- [Glinting Flam Spessarite]
	-- +3 Hit Rating and +3 Agility
	--------------------
	-- ItemID: 22589
	-- [Atiesh, Greatstaff of the Guardian] warlock version
	-- Equip: Increases the spell critical strike rating of all party members within 30 yards by 28.
	--------------------
	-- [Brilliant Wizard Oil]
	-- Use: While applied to target weapon it increases spell damage by up to 36 and increases spell critical strike rating by 14 . Lasts for 30 minutes. 
	----------------------------------------------------------------------------------------------------
	-- I redesigned the tooltip scanner using a more locale friendly, 2 pass matching matching algorithm.
	--
	-- The first pass searches for the rating number, the patterns are read from ["numberPatterns"] here,
	-- " by (%d+)" will match strings like: "Increases defense rating by 16."
	-- "%+(%d+)" will match strings like: "+10 Defense Rating"
	-- You can add additional patterns if needed, its not limited to 2 patterns.
	-- The separators are a table of strings used to break up a line into multiple lines what will be parsed seperately.
	-- For example "+3 Hit Rating, +5 Spell Crit Rating" will be split into "+3 Hit Rating" and " +5 Spell Crit Rating"
	--
	-- The second pass searches for the rating name, the names are read from ["statList"] here,
	-- It will look through the table in order, so you can put common strings at the begining to speed up the search,
	-- and longer strings should be listed first, like "spell critical strike" should be listed before "critical strike", 
	-- this way "spell critical strike" does get matched by "critical strike".
	-- Strings need to be in lower case letters, because string.lower is called on lookup
	--
	-- IMPORTANT: there may not exist a one-to-one correspondence, meaning you can't just translate this file, 
	-- but will need to go in game and find out what needs to be put in here.
	-- For example, in english I found 3 different strings that maps to CR_CRIT_MELEE: "critical strike", "critical hit" and "crit".
	-- You will need to find out every string that represents CR_CRIT_MELEE, and so on.
	-- In other languages there may be 5 different strings that should all map to CR_CRIT_MELEE.
	-- so please check in game that you have all strings, and not translate directly off this table.
	--
	-- Tip1: When doing localizations, I recommend you set debugging to true in RatingBuster.lua
	-- Find RatingBuster:SetDebugging(false) and change it to RatingBuster:SetDebugging(true)
	-- or you can type /rb debug to enable it in game
	--
	-- Tip2: The strings are passed into string.find, so you should escape the magic characters ^$()%.[]*+-? with a %
	["numberPatterns"] = {
		{pattern = "提高.*(%d+)", addInfo = "AfterNumber",},
		{pattern = "(%d+)。", addInfo = "AfterNumber",},
		{pattern = "%+(%d+)", addInfo = "AfterStat",},
		{pattern = "佩戴者.-(%d+)", addInfo = "AfterNumber",}, -- for "grant you xx stat" type pattern, ex: Quel'Serrar, Assassination Armor set
	},

	["separators"] = {
		"/", "和", ",", "。", " 持續 ", "&"
	},
	["statList"] = {
		{pattern = string.lower(SPELL_STAT2_NAME), id = SPELL_STAT2_NAME}, -- Agility
		{pattern = string.lower(SPELL_STAT4_NAME), id = SPELL_STAT4_NAME}, -- Intellect
		{pattern = "防禦等級", id = CR_DEFENSE_SKILL},
		{pattern = "閃躲等級", id = CR_DODGE},
		{pattern = "格擋機率等級", id = CR_BLOCK}, -- block enchant: "+10 Shield Block Rating"
		{pattern = "招架等級", id = CR_PARRY},
	
		{pattern = "法術致命一擊等級", id = CR_CRIT_SPELL},
		{pattern = "遠程攻擊致命一擊等級", id = CR_CRIT_RANGED},
		{pattern = "致命一擊等級", id = CR_CRIT_MELEE},
		
		{pattern = "法術命中等級", id = CR_HIT_SPELL},
		{pattern = "遠程命中等級", id = CR_HIT_RANGED},
		{pattern = "命中等級", id = CR_HIT_MELEE},
		
		{pattern = "韌性", id = CR_CRIT_TAKEN_MELEE}, -- resilience is implicitly a rating
		
		{pattern = "法術加速等級", id = CR_HASTE_SPELL},
		{pattern = "遠程攻擊加速等級", id = CR_HASTE_RANGED},
		{pattern = "加速等級", id = CR_HASTE_MELEE},
		{pattern = "攻擊速度等級", id = CR_HASTE_MELEE}, -- [Drums of Battle]
		
		{pattern = "技能等級", id = CR_WEAPON_SKILL},
		
		{pattern = "命中迴避率", id = CR_HIT_TAKEN_MELEE},
		--{pattern = "命中迴避等級", id = CR_HIT_TAKEN_MELEE},
	},
	-------------------------
	-- Added info patterns --
	-------------------------
	-- $value will be replaced with the number
	-- EX: "$value% Crit" -> "+1.34% Crit"
	-- EX: "Crit $value%" -> "Crit +1.34%"
	["$value% Crit"] = "$value% 致命",
	["$value% Spell Crit"] = "$value% 法術致命",
} end)